import {Getters}     from 'vuex-smart-module';
import {Sample}      from '@/io/niceday/sample/model/Sample';
import {SampleState} from '@/io/niceday/sample/state/SampleState';

export class SampleGetter extends Getters<SampleState> {

    public get() : Sample.Response.FindOne {
        return this.state.findOne;
    }

    public getAll() : Array<Sample.Response.FindAll> {
        return this.state.findAll;
    }

    public toFindOne(data : object) : Sample.Response.FindOne {
        return Object.$plugins.mapper.toObject(Sample.Response.FindOne, data);
    }

    public toFindAll(data : Array<object>) : Array<Sample.Response.FindAll> {
        return Object.$plugins.mapper.toArray(Sample.Response.FindAll, data);
    }

    public toModify() : Sample.Request.Modify {
        return Object.$plugins.mapper.toObject(Sample.Request.Modify, this.state.findOne);
    }
}